"""Constants for use in the Emigrate solver."""
F = 9.65E4       # Faraday's const.[C/mol]
Rmu = 8.31       # Universal gas const. [J/mol*K]
Temp = 298       # Temperature [K]
Kw = 1E-14       # Water equilibrium constant
muH = 362E-9/F           # Mobility of Hydronium   % [m^2/s*V]/F --> [mol*s/Kg]
muOH = 205E-9/F          # Mobility of Hydroxide   % [m^2/s*V]/F --> [mol*s/Kg]
met2lit = 1000           # m^3 to liters
visc = 1E-3              # Dynamic viscosity (water) [Pa s]
